Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class CyclicIteration<K,V>

    java.lang.Object
      org.apache.hadoop.util.CyclicIteration<K,V>

All Implemented Interfaces:
  Iterable<Map.Entry<K,V>>

    public class CyclicIteration<K,V>

extends Object
implements Iterable<Map.Entry<K,V>>

Provide an cyclic `Iterator` for a `NavigableMap`. The `Iterator` navigates the entries of the map according to the map's ordering. If the `Iterator` hits the last entry of the map, it will then continue from the first entry.

Constructor Summary
`CyclicIteration(NavigableMap<K,V> navigablemap, K startingkey)` Construct an `Iterable` object, so that an `Iterator` can be created for iterating the given `NavigableMap`.

Method Summary
`Iterator<Map.Entry<K,V>>` | `iterator()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CyclicIteration

    public CyclicIteration(NavigableMap<K,V> navigablemap,
                           K startingkey)

  Construct an `Iterable` object, so that an `Iterator` can be created for iterating the given `NavigableMap`. The iteration begins from the starting key exclusively.

Method Detail

### iterator

    public Iterator<Map.Entry<K,V>> iterator()

  Specified by:
    `iterator` in interface `Iterable<Map.Entry<K,V>>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation